      SUBROUTINE G2    (COS,SIN,X,Y)                                    G2000100
C     C.L.LAWSON AND R.J.HANSON, JET PROPULSION LABORATORY, 1972 DEC 15 G2000200
C     TO APPEAR IN 'SOLVING LEAST SQUARES PROBLEMS', PRENTICE-HALL, 1974G2000300
C          APPLY THE ROTATION COMPUTED BY G1 TO (X,Y).                  G2000400
      XR=COS*X+SIN*Y                                                    G2000500
      Y=-SIN*X+COS*Y                                                    G2000600
      X=XR                                                              G2000700
      RETURN                                                            G2000800
      END                                                               G2000900
